/api/auth/webauthn
Verify a WebAuthn authentication response and log in the user associated with the matching passkey.
POST
/api/auth/webauthnHeader Parameters
x-zipline-client?string
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/api/auth/webauthn" \ -H "Content-Type: application/json" \ -d '{ "response": null }'{ "user": { "id": "string", "username": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "role": "USER", "view": { "enabled": true, "disableTextFiles": true, "align": "left", "showMimetype": true, "showTags": true, "showFolder": true, "content": "string", "embed": true, "embedMediaOnly": true, "embedTitle": "string", "embedDescription": "string", "embedColor": "string", "embedSiteName": "string" }, "sessions": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "ua": "string", "client": "string", "device": "string", "userId": "string" } ], "oauthProviders": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "provider": "DISCORD", "username": "string", "oauthId": "string" } ], "totpEnabled": true, "passkeys": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "lastUsed": "2019-08-24T14:15:22Z", "name": "string", "reg": null, "userId": "string" } ], "quota": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "filesQuota": "BY_BYTES", "maxBytes": "string", "maxFiles": 0, "maxUrls": 0, "userId": "string" }, "avatar": "string" }}